/*
 * Mocha
 * Copyright (c) 2000-2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */
/*:Associate with "Device Manager" */

#ifndef _DEV_LCD_H_
#define _DEV_LCD_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "Shp.h"
#include "WmCrayon.h"

typedef HObj					HLCD;

/* lcd type */
typedef enum
{
	LCD_MAIN,
	LCD_COVER
} LcdType;

typedef enum
{
	SUB_INDI_RSSI = 1,
	SUB_INDI_ALARM,
	SUB_INDI_MSG,
	SUB_INDI_MODE,
	SUB_INDI_BATT
} LcdIconType;

/*
 * ECOM Interface
 */
#include "DevLcdECOM.h"

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _DEV_LCD_H_
