/*
 * Mocha
 * Copyright (c) 2001, 2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */
 /**
 * @file		OemProtoMgr.h
 * @brief		This file implementats the Protocol Manager.
 * @version	1.0
 */

#ifndef _OEM_PROTO_MGR_H_
#define _OEM_PROTO_MGR_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define PROTO_DATA_CALL_MAX				8

/* List of device type to transfer user data ofr test mode. */
typedef enum
{
	COMM_DEVICE_NULL			= -1,
	COMM_DEVICE_UART			= 0x00,
	COMM_DEVICE_USB,
	COMM_DEVICE_ETHERNET,
	COMM_DEVICE_IRDA,
	COMM_DEVICE_BT
} CommDeviceType;

#ifdef __cplusplus
}
#endif  /* __cplusplus */

#endif // _OEM_PROTO_MGR_H_
