///*
// * Copyright (c) S/W Platform, Samsung Electronics, Inc.
// * All rights reserved.
// *
// * This software is the confidential and proprietary information
// * of Samsung electronics, Inc. ("Confidential Information").  You
// * shall not disclose such Confidential Information and shall use
// * it only in accordance with the terms of the license agreement
// * you entered into with Samsung Electronics.
// */
///**
// * @file		PerfLog.h
// * @brief		
// * @author	Sangheon Kim (sangheon77.kim@samsung.com) @n
//					
// * @version	1.0
// * @date		2008.09.10	v1.0		Created							shkim @n
// */
//
//#ifndef PerfLog_Defined
//#define PerfLog_Defined
//
////#include <string>
//
//namespace WTF {
//
///**
// * id : category 
// * key : key string 
// * ex>
// * PerfLogStart( "WebControl0", "AddToDirtyRegion" );
// * PerfLogEnd( "WebControl0", "AddToDirtyRegion" );
// *
// * If you call PerfLogPrint( "WebControl0", "AddToDirtyRegion" ), 
// * totalcount, totalelaspsedtime, mintime, maxtime of "AddToDirtyRegion" key will be printed.
// */
////void PerfLogStart( char* id, char* key);
////void PerfLogEnd( char* id, char* key);
////void PerfLogPrint( char* id );
////void PerfLogClean( char* id );
////void PerfLogPrintAll();
////void PerfLogCleanAll();
//
//
//
//
//
//
//
///**
// * If you declare a variable of PerfLog class when a funtion enter,
// * the construct of PerfLog will be called when the funtion start and 
// * the destruct of PerfLog will be called automatically when the funtion return.
// * 
// * So if some funtion has many return statement, it's easier to use PerfLog class than PerfLogStart/End funtion pair.
// * if you use PerfLogStart/End pair, you have to add PerfLogEnd funtion for every return statement.
// *
// * ex> void f() {
//		PerfLog perflog; // perflog end will be called automatically by compiler
// 		if()
//			return;
//		if()
//			return;
// * }
// *
// * But need to test.....
// */
////class PerfLog
////{
////private:
////
////	char *m_pId, *m_pKey;
////public:
////	PerfLog( char* id, char* key );
////	virtual ~PerfLog();
////};
//
//}
//
//#endif //PerfLog_Defined
