#!/usr/bin/perl
use File::Copy;
use strict;

if(!@ARGV) {
	print "Copyright (C) Samsung Electronics \n";
	print "Author: Pushparajan \n\n";
	print "sandbox.pl [input-file-name] [output-file]\n\n";
	exit;
}

my ($inputFile)=@ARGV[0];
my ($outputFile)=@ARGV[1];

my $linetmp;
my @inData;
open(inFile, "< $inputFile")
	|| die "file open failed: $inputFile \r\n($!)";

open(outFile, ">> $outputFile")
	|| die "file open failed: $outputFile \r\n($!)";

while($linetmp =<inFile>)
{
	#print $linetmp;

	if($linetmp =~ /:/ || $linetmp =~ /\-/)
	{
		$linetmp =~ s/ +/ /g;

		@inData = split(/ +/, $linetmp);
		#	print $inData[1]."\n";
		# Filter out only SHP related path
		if ($inData[1] =~ m/^.+(shp3|shpapp2|shpbrowser|shpcoproc|shpgwes|shpkjava|shpmessenger|shpmmsvc|shpmsgsvc|shprsrc|shptarget|smp6280).+$/i)
		{
			print outFile $inData[1];
		}
	}

}
close(inFile);
close(outFile);


