/*
* ==============================================================================
*  Name        : allocs.h
*  Part of     : WEBKIT / MemMan
*  Interface   : 
*  Description : 
*  Version     : %Version%
*
* ==============================================================================
*/

#ifndef __ALLOCS_H__
#define __ALLOCS_H__

#ifdef __CMM__

#include "MemoryManager.h"

#ifndef _CRTDBG_MAP_ALLOC
//alloc functions
#define malloc	MemoryManager::Alloc
#define calloc	MemoryManager::Calloc
#define realloc MemoryManager::ReAlloc
#define free	MemoryManager::Free
#endif // _CRTDBG_MAP_ALLOC

#endif	//#ifdef __CMM__

#endif // __ALLOCS_H__

