#if PLATFORM(SHP)
#ifndef RenderDiv_h
#define RenderDiv_h

#include "RenderBlock.h"
#include <wtf/Vector.h>


namespace WebCore {

	class RenderDiv : public RenderBlock
	{
	public: 
		RenderDiv(Node*);
		~RenderDiv();

		virtual const char* renderName() const { return "RenderDiv"; }
		virtual bool isDiv() const { return true;}
		virtual void setStyle(RenderStyle*);
		virtual void calcHeight();

	private:
		};

}
#endif
#endif //RenderDiv_h