/*
 * Mocha
 * Copyright (c) 2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */
/**
 * This file declare the interface of DLL client stub.
 *
 * @author	Cheol Ho Park (cpark@samsung.com)
 */

#ifndef _DLL_CLIENT_STUB_H
#define _DLL_CLIENT_STUB_H

#include "DllTypes.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

BOOL WebkitDispatch( UINT32 iDispatchType, ULONG intParam1, ULONG intParam2, void* pParam );


#if defined(_SHP_DLL)
#if 0
#	define DEFINE_DLL_ENTRY_POINT(func)					\
	EcomDispatch										\
	_DllBaseGetDispatchFunc(void)						\
	{													\
		BOOL func(UINT32, ULONG, ULONG, void*);			\
		return func;									\
	}
#else
#	define DEFINE_DLL_ENTRY_POINT(func)				
#endif
#endif

extern DID dllBaseDID;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	// _DLL_CLIENT_STUB_H
