/*
 * Copyright (c) S/W Platform, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics.
 */
/**
 * @file		WebPerformanceLog.h
 * @brief		
 * @author	Sangheon Kim (sangheon77.kim@samsung.com) @n
					
 * @version	1.0
 * @date		2008.09.10	v1.0		Created							shkim @n
 */

#ifndef WebPerformanceLog_Defined
#define WebPerformanceLog_Defined

#include "WebControlConfig.h"

void WebPerfLogStart( char* id, char* key);
void WebPerfLogEnd( char* id, char* key);
void WebPerfLogPrint( char* id );
void WebPerlLogClean( char* id );

#endif //WebPerformanceLog_Defined