#ifndef _WS_MAIN_H_
#define _WS_MAIN_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "WsCommon.h"
#include "DevPhoneStatus.h"
#include "WsAnimation.h"

#define	MAIN_STYLE_NO_SOFTKEY		0x00000000
#define	MAIN_STYLE_INDICATOR		0x00000080
#define MAIN_STYLE_DISPLAY_DIRECTION	0x00400000

typedef enum
{
	MAIN_DISPLAY_DIRECTION_AUTO,	
}WsMainDisplayDirection;

HWIN	WsCreateMain (int rectX,
					  int rectY, 
					  int rectW, 
					  int rectH, 
					  int style,
					  int screen,
					  WmEventMapEntry* pMainEventMap ); 

BOOL	WsSetMainDisplayDirection(HWIN hWin, int iDirection);
BOOL	__WsShowMainSoftKeyForEdit ( HWIN hWin );
BOOL	WsDrawMainSoftKey ( HWIN hWin );
BOOL	WsShowMainSoftKey ( HWIN hWin );

#ifdef __cplusplus
}
#endif

#endif