/*
 * Mocha
 * Copyright (c) 2001, 2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

#ifndef _AV_PLAYER_H_
#define _AV_PLAYER_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#include "ShpConfig.h"
#include "FileMgr.h"
#include "DevSound.h"
#include "WmGrpType.h"
#include "SoundScenario.h"


typedef HObj	HAvPlayer;

typedef struct
{
	int		channelCount;	// 1 for mono, 2 for stereo
	int		left;			// Left-side, Use this field for mono
	int		right;			// Right-side
} AvAudioVolume;

typedef SndDtmfToneInfo 		AvDtmfToneInfo;
typedef SndDtmfToneFreqInfo 	AvDtmfToneFreqInfo;
typedef SndDtmfToneFlexInfo  	AvDtmfToneFlexInfo;
typedef SndDtmfSoundIDInfo  	AvDtmfSoundIDInfo;



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _AV_PLAYER_H_
