/*
 * Mocha 
 * Copyright (c) 2006 IT Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */
/** 
 * @file AppSndEffect.h
 *
 * This file implements the APIs of Application Sound Manager.
 *
 * @author	mobum
 */
/*:Associate with "Application Sound Manager" */

#ifndef _APP_SND_IBASE_H_
#define _APP_SND_IBASE_H_

#ifdef __cplusplus

typedef enum
{
	APP_SND_IID_BASE		= 0x0001,	// Base
} AppSndIID;


#define APP_SND_INTERFACE(expr) virtual expr = 0

#endif /* __cplusplus */

#endif // _APP_SND_IBASE_H_
