/*
 * Mocha
 * Copyright (c) 2000-2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics.
 */

/*:Associate with "SysBase" */

#ifndef _SYS_DEBUG_H_
#define _SYS_DEBUG_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "SysBaseECOM.h"

#define GET_IDENT(X)			GETMSK(X, 0, MASKL8)
#define SET_IDENT(X)			((UINT32)(X & MASKL8))

#define MODNAME_MAX				20
typedef struct
{
	char	szCompName[MODNAME_MAX];
	int		debugCases;
	int		moduleStatus;
	char	enabledMutex;
} Diagnose;

#	define SysVerbose(X)
#	define SysDebug(X)
#	define SysFatalDebug(X)
#	define SysTrace(X)

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _SYS_DEBUG_H_
