/**
* Samsung Handset Platform
* Copyright (c) 2006 Samsung Electronics, Inc.
* All rights reserved.
*
* This software is the confidential and proprietary information
* of Samsung Electronics, Inc. ("Confidential Information").  You
* shall not disclose such Confidential Information and shall use
* it only in accordance with the terms of the license agreement
* you entered into with Samsung Electronics.
*/
/*
*  This file defines the porting layer API's for the BAL framework.
*  @author Pushparajan Vijayakumar 	(rajan.vp@samsung.com)
*/

/*Donot include any SHP headers*/

#ifndef _WEBKIT_SHP_PREFIX_H_
#define _WEBKIT_SHP_PREFIX_H_
#include "ShpConfig.h"
#ifndef _SHP_SIMUL
#include <math.h>
#include <string.h>
#include <stdio.h>


#define strncasecmp SFBStrnicmp

/* STRING related functions*/
#define strdup	SFBStrdup
#define itoa		SFBItoa

/* MATH functions*/
#define _isnan		__ARM_isnan
#define _finite		__ARM_isfinite
inline long lroundf(float num) { return static_cast<long>(num > 0 ? num + 0.5f : ceilf(num - 0.5f)); }
inline float roundf(float num) { return num > 0 ? floorf(num + 0.5f) : ceilf(num - 0.5f); }
inline long lround(double num) { return static_cast<long>(num > 0 ? num + 0.5 : ceil(num - 0.5)); } 
inline double trunc(double num) { return num > 0 ? floor(num) : ceil(num); }

/* Webcore specific Max and min macro definitions */
#include <limits>

#ifndef ERROR
#define ERROR 0
#endif

#endif
#endif

