@echo off
rem ======================================
rem Author: Pushparajan Vijayakumar (rajan.vp@samsung.com)
rem ======================================
rem
rem Build script for Jasmine BrowserEngine
rem
rem

set STANDALONE=FALSE
set STANDALONE_BUILD=TRUE
rem set the SDKROOT to value required
set SDKROOT=..\..\..\..\..\ShpWebkitSDK

rem ==========================================================
rem Samsung specific build variable
rem =========================================================


set BUILD=KSUZ
set TARGET_NAME=M8800
set TARGET=M8800OpEuroCommonRVCT22
set BTMODULE=BRCM_BT
set FS_PATH=GT-M8800\M8800_Open_Europe_Common_FS
set TARGET_BUILD_TYPE=BRESSON
set TARGET_SDRAM_TYPE=SDRAM_1CS
set TARGET_NAND_TYPE=ONENAND
set TARGET_DLOAD_TYPE=OEMSBL
set TARGET_COMP_TYPE=FOTACOMP
set CSI_COMPRESSOR=IMASTER
set TARGET_ACC_SENSOR_TYPE=SMB380
set TARGET_TOUCH_TYPE=TI
set TARGET_LIGHT_SENSOR_TYPE=ROHM
set GPSMODULE=QCOM_GPS
set TARGET_BUILD_SHP_OPTION=-D_SHP_LBS_XTRA -D_SHP_LBSNAV_APP -D_SHP_TEMP_LBSNAV_APP -DFEATURE_SAMSUNG_BRESSON -DFEATURE_SAMSUNG_MTEK -D_SHP_BROWSER_SFB -D_SHP_OPERATOR_OPEN_EUROPE_COMMON -D_SHP_DEV_TOUCH_SCREEN -D_SHP_SUPPORT_DRM_V21 -D_SHP_CALL_VT_QVP -D_SHP_UI_MUSIC -D_SHP_BGM_SUPPORT -D_SHP_SUPPORT_FM_RADIO -D_SHP_SUPPORT_MUSIC_RECOGNIZER -D_SHP_SUPPORT_MTP -D_SHP_SUPPORT_UMS -D_SHP_SUPPORT_WMDRM_CHIP -D_SHP_KJAVA_MVM -D_SHP_RSS_READER -D_SHP_HTML_VIEWER -D_SHP_FLASH_TYPE_ONENAND -DSDRAM_1G -D_SHP_NX_STREAMING_PLAYER -D_SHP_QUICK_VIEW -D_SHP_MOVIEMAKER -D_SHP_MM_PREVIEW_PLAYER -D_SHP_DYNAMIC_IMAGE_EDITOR -D_SHP_PHOTO_BROWSER -D_SHP_SUPPORT_LBS -D_SHP_FACE_RECOGNITION -D_SHP_KJAVA_JSR82 -D_SHP_WIDGET -D_SHP_FOTA_SUPPORT -D_SHP_COMPRESS_FOTA_CODE  -D_SHP_DICE_GAME -D_SHP_MY_BLOG -D_JASMINE_ECOM
set TARGET_BUILD_MODEM_OPTION=-DFEATURE_SAMSUNG_LBS_XTRA -DFEATURE_SAMSUNG_LBSNAV_APP -DFEATURE_SAMSUNG_QSHP -DFEATURE_SAMSUNG_BRESSON -DFEATURE_SAMSUNG_MTEK -DFEATURE_SAMSUNG_SDCC -DFEATURE_SAMSUNG_1CS -D_SHP_CALL_VT_QVP -D_SHP_FLASH_TYPE_ONENAND -DFEATURE_SAMSUNG_ONENAND -DSDRAM_1G  -D_SHP_FOTA_SUPPORT -D_SHP_COMPRESS_FOTA_CODE
set HS_BUILD_TYPE=WEDGE

set OLDDIR=%CD%

cd ..\..\..\..\..\ShpTarget
IF EXIST ..\ShpBrowser\Solutions\SFB\TargetBuild\Libs\_shp_depend GOTO CONT
IF EXIST %SDKROOT% GOTO CONT
echo Cleaning Engine to avoid conflicts
call b%TARGET%.bat Webcontrol.clean
:CONT
echo Building Plugin, Engine
call b%TARGET%.bat Plugin Webcontrol
cd %OLDDIR%
