# Author: Prashant Nevase
# 
# Maintained by: Pushparajan Vijayakumar (rajan.vp@samsung.com)
#
# SISO, Copyright 2008.
###############################################################################

# Specify compiler and linker here

# C ARM compilers
CC := tcc
LD := armlink
AR := armar
CFLAGS := -c -W -cpu ARM926EJ-S -apcs /noswst/interwork -g -dwarf2 -Ospace -O2 -littleend 

# C++ ARM compilers

CXX := tcpp
CXXFLAGS := $(CFLAGS)

# General flags
DFLAGS := -depend
ERRFLAGS := -errors

ifeq ($(CURRENT_CONFIG), RELEASE)
	export OUTPUTDIR=ReleaseSHPADS
else
	export OUTPUTDIR=DebugSHPADS
endif


COMMON_DEFINES := -D__SHP__ -DPACKED=__packed
