@echo off
set NET_COMPILE=yes
set MAKEPARAMS=-I%CD%\nc
REM ===============================
REM = Getting Start Time =
REM ===============================
set StartTime=%TIME%
set hour=%StartTime:~0,2%
set min=%StartTime:~3,2%
set sec=%StartTime:~6,2%

rem ##########################################################
rem #
rem # Start build with NetCC configuration
rem #
rem ##########################################################

call bSFB %*
REM ===============================
REM = Getting End Time =
REM ===============================
set EndTime=%TIME%
set EndHour=%EndTime:~0,2%
set EndMin=%EndTime:~3,2%
set EndSec=%EndTime:~6,2%

REM ===============================
REM = Finding Difference =
REM ===============================
set /a Hour_Diff=EndHour - hour >nul
set /a Min_Diff=EndMin - min >nul
if "%min%" gtr "%EndMin%" set /a Min_Diff=min - Endmin >nul
set /a Sec_Diff=EndSec - sec >nul
if "%sec%" gtr "%EndSec%" set /a Sec_Diff=sec - EndSec >nul


REM ===============================
REM = Hour Hand Change? =
REM ===============================
IF [%Hour_Diff%]==[0] (

Set Duration=%Min_Diff%
) ELSE (

Set /a Duration=60-%Min_Diff% >nul
)

REM ===============================
REM = Minute Hand Change? =
REM ===============================
IF [%Min_Diff%]==[0] (

Set SecDuration=%Sec_Diff%
) ELSE (

Set /a SecDuration=60-%Sec_Diff% >nul
)

echo Start Time = %hour% : %min% : %sec%
echo End Time = %EndHour% : %EndMin% : %EndSec%
echo.
echo.
echo Build Took : %Duration% min, %SecDuration% sec
echo --------------------------------------------------------------
echo.

