#ifndef WEBCOREFORMDATA_H
#define WEBCOREFORMDATA_H

#ifdef __CMM__
#include <allocs.h>
#endif
#include <AnsiCLib.h>

// CLASS DECLARATION

class WebCoreFormDataItem
	{
	public:
		WebCoreFormDataItem(	const char* _data,
					unsigned int /*_dataSize*/,
					bool _isFileType = false)
					: m_isFileType (_isFileType)
					{
						m_data = (char *)malloc(AcStrlen(_data) + 1);
						AcStrcpy(m_data, _data);
                    }

        ~WebCoreFormDataItem() { free(m_data); } 

		WebCoreFormDataItem(char* _data,
					bool _isFileType = false)
					:m_data(_data),
					m_isFileType (_isFileType){}
		char* Data() const {return m_data;}
		bool IsFileType() const {return m_isFileType;}

	private:
		// member variables
		char* m_data;
		bool m_isFileType;
	};

#endif //WEBCOREFORMDATA_H

// End of File
