#ifndef SFB_WIDGET_H
#define SEB_WIDGET_H


typedef enum
{
	SFB_BORDER_STYLE_NONE,
	SFB_BORDER_STYLE_HIDDEN,
	SFB_BORDER_STYLE_DOTTED,
	SFB_BORDER_STYLE_DASHED,
	SFB_BORDER_STYLE_SOLID,
	SFB_BORDER_STYLE_DOUBLE,
	SFB_BORDER_STYLE_GROOVE,
	SFB_BORDER_STYLE_RIDGE,
	SFB_BORDER_STYLE_INSET,
	SFB_BORDER_STYLE_OUTSET
} SFBBorderStyle;

int SFBGetCharWidth(char chIn, int size, int bold, int italic, int underline);

void SFBDrawRect(HGC hGC,int x1, int y1, int x2, int y2, int thickness, COLOR color);

void SFBDrawText( HGC hGC,int x, int y, char* szText, int size, BOOL bBold, BOOL bItalic, BOOL bUnderline, 
		   BOOL bLink, BOOL bFocused, COLOR color, COLOR bgColor );

int SFBGetFont( int size, BOOL bBold, BOOL bItalic, BOOL bUnderline, BOOL bLink );

int	 SFBGetTextWidth(char* szIn, int size, int bold, int italic, int underline);

void SFBDrawFillRect(HGC hGC,int x1, int y1, int x2, int y2, int color);

void SFBDrawLine(HGC hGC,int x1, int y1, int x2, int y2, int width, COLOR color, int style );
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
void SFBDrawButton(HGC hGC,int x1, int y1, int x2, int y2, char* szText, int isPointed, int colorBg);
#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif