/*
* ==============================================================================
*  Name        : LoadListeners.cpp
*  Part of     : WebKit / BrowserView
*  Description :
*/


// INCLUDE FILES
#include "LoadListeners.h"

// EXTERNAL DATA STRUCTURES

// EXTERNAL FUNCTION PROTOTYPES

// CONSTANTS

// MACROS

// LOCAL CONSTANTS AND MACROS

// MODULE DATA STRUCTURES

// LOCAL FUNCTION PROTOTYPES

// FORWARD DECLARATIONS

// ============================= LOCAL FUNCTIONS ===============================

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// PluginLoadListener::PluginLoadListener
// C++ default constructor
// -----------------------------------------------------------------------------
//
PluginLoadListener::PluginLoadListener(
							WTF::Vector<WebCore::String> _paramNames,
							WTF::Vector<WebCore::String> _paramValues )
	: m_transId( 0 ),
	  m_paramNames( _paramNames ),
	  m_paramValues( _paramValues )
    {
    }


// Destructor
PluginLoadListener::~PluginLoadListener()
    {
    }

// -----------------------------------------------------------------------------
// PluginLoadListener::Headers
//
//
// -----------------------------------------------------------------------------
//
eErrorCode PluginLoadListener::Headers(
    int /*_transactionId*/,
    UrlResponseInfo* /*_response*/ )
    {
    // <TODO> : Notify webcore about the headers
	// <TODO> : Decide upon which plugin handler to be called
	//			from the content-type. Remove the transaction
	//			in case of video plugin
    return ERR_OK;
    }

// -----------------------------------------------------------------------------
// PluginLoadListener::Response
//
//
// -----------------------------------------------------------------------------
//
void PluginLoadListener::Response(
    int /*_transactionId*/,
    UrlResponseInfo* /*_response*/ )
    {
    // <TODO> : Send the data to the specific plugin handler
    }

// -----------------------------------------------------------------------------
// ResourceLoadListener::Complete
//
//
// -----------------------------------------------------------------------------
//
void PluginLoadListener::Complete(
    int /*_transactionId*/,
    UrlResponseInfo* /*_response*/,
    eErrorCode /*_error*/ )
    {
    // <TODO> : Notify the plugin handler about the data receive complete
    }

// -----------------------------------------------------------------------------
// PluginLoadListener::HandleError
//
//
// -----------------------------------------------------------------------------
//
void PluginLoadListener::HandleError(
    int /*_transactionId*/,
    eHttpStatus /*_error*/ )
    {
	// <TODO> : Notify plugin handler about the error
	}

// End of File
