/*
 * Copyright (c) 2007 Apple Inc.
 * All rights reserved.
 *
 */

#pragma once

#if !PLATFORM(SHP)

// Needed for off_t
#include <sys/types.h>

#define getpid GetCurrentProcessId

__inline char* realpath(const char* pathname, char resolvedPath[MAX_PATH])
{
	return strncpy_s(resolvedPath, MAX_PATH, pathname, _TRUNCATE) == 0 ? resolvedPath : NULL;
}

#endif //!PLATFORM(SHP)