#ifndef _WM_REGION_H_
#define _WM_REGION_H_

#include "WmGrpType.h"
#include "WmGrpUtyBox.h"

extern WmBox		__regEmptyBox;
extern WmRegData	__regEmptyData;
extern WmRegData	__regBrokenData;

#define		REGION_NUM_RECTS(reg)	((reg)->data ? (reg)->data->numRects : 1)
#define		REGION_RECTS(reg)		((reg)->data ? (WmBox*)((reg)->data + 1) : &(reg)->extents)

WmRegion *	WmCreateRegion(WmBox * rect, int size);
void		WmInitRegion(WmRegion *pReg, WmBox *rect, int size);
void		WmDestroyRegion(WmRegion *pReg);

BOOL	WmIntersectRegion(WmRegion *newReg, WmRegion *reg1, WmRegion *reg2);
BOOL	WmUnionRegion(WmRegion *newReg, WmRegion *reg1, WmRegion *reg2);
BOOL	WmSubtractRegion(WmRegion *regD, WmRegion *regM, WmRegion *regS);

WmBox*		WmRegionExtents(WmRegion* pReg);

#endif